#!/bin/nawk -f
BEGIN { 
}
{
	if ( $1 == "Date") {
		split($5,line,"/")
		month = line[1]
		day = line[2]
		year = line[3]
		next
	}
	if ( $1 == "Time") {
		split($5,line,":")
		hour = line[1]
		minute = line[2]
		next
	}
	if ( $1 == "Sequence") {
		seqno = $4
		next
	}
	if ( $1 == "Probe" ) {
		type = $4
		if ( type == "Fast") type = "Fast_Deep"
		next
	}
	if ( $1 == "Latitude") {
		latd = $3
		latm = $4
		lath = $5
		next
	}
	if ( $1 == "Longitude") {
		lond = $3
		lonm = $4
		lonh = substr($5,1,1)
		next
	}
}
END {
	printf "%02d%02d %02d%02d%02d",hour,minute,day,month,year
	printf "  0 BTXP   MK12  #%3d %9s GDC  ",seqno,type
	printf "%02d-%05.2f%s %03d-%05.2f%s",latd,latm,lath, lond,lonm,lonh
	printf " g %s\n",CRUISE
}
