#!/bin/nawk -f
#
# Aurhor J.S.Charters
# Modif J.S.Charters Jun99 added date field to input data.
# Modif J.S.Charters May01 protect against dup time incrementing
#	the day
# Computes the max and min of a data set
#
# example: met_ins_data.awk  field=2 scale=1 alldata
#
BEGIN {
	max = -99.;
	min = 9999.;
	if ( scale == 0) scale = 1;
	day = -1
	past_time = 25
}
{
	data = $field;
	if ( data <= -2) next;
	if ( $1 < past_time ) day++
	past_time = $1
	if ( data > max ) {
		max = data;
	} 
	if ( data < min ) {
		min = data;
	}
	out = day + ( $1 / 24.)
	printf "%f %s\n", out, data
}
END {
	if ( max == -99) {
	    printf "-1/1\n" > "range";
	} else {
	    max = (int ((max + scale) / scale )) * scale;
	    min = (int ((min ) / scale )) * scale;
	    printf "%04d/%04d\n",min,max > "range";
	}
}
